package cn.efunbox.audio.controller.hag;

import cn.efunbox.audio.service.hag.HagOrderService;
import cn.efunbox.audio.vo.hag.HagSkillReq;
import cn.efunbox.audio.vo.hag.HagSkillResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * HaOrderController
 * Created by xusq on 2019/12/25.
 */
@RequestMapping("/api/hag/v1/order")
@RestController
public class HagOrderController {

    @Autowired
    private HagOrderService hagOrderService;

    @PostMapping
    public HagSkillResp sync(@RequestBody HagSkillReq skillReq) {
        return hagOrderService.save(skillReq);
    }

}
